Commit e5d9d035 authored by Heiko Becker's avatar Heiko Becker 🎸

Unbreak the build with ECM < 5.41.0

* set(CMAKE_MODULE_PATH ...)" isn't cumulative
* CMAKECONFIG_INSTALL_DIR used for the installation of FindSasl2
  is only set later on
parent 23b82a77
......@@ -11,8 +11,7 @@ set(CMAKE_MODULE_PATH ${KLdap_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
# TODO: Remove the cmake/deprecated directory when we'll require ECM >= 5.41.0
if("${ECM_VERSION}" VERSION_LESS "5.41.0")
set(CMAKE_MODULE_PATH ${KLdap_SOURCE_DIR}/cmake/deprecated)
add_subdirectory(cmake/deprecated)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${KLdap_SOURCE_DIR}/cmake/deprecated)
endif()
include(GenerateExportHeader)
......@@ -27,8 +26,6 @@ include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)
set(KLDAP_LIB_VERSION ${PIM_VERSION})
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
......@@ -96,6 +93,10 @@ install(FILES
########### Targets ###########
add_subdirectory(cmake)
# TODO: Remove the cmake/deprecated directory when we'll require ECM >= 5.41.0
if("${ECM_VERSION}" VERSION_LESS "5.41.0")
add_subdirectory(cmake/deprecated)
endif()
add_subdirectory(src)
add_subdirectory(kioslave)
if(BUILD_TESTING)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment